# List Contact Properties

> GET /contact-properties — retrieve a list of contact properties.

`GET /contact-properties`

Retrieve a list of your contact properties.

**Query parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `limit` | number | No | Number of contact properties to retrieve. Maximum value: `100`. Minimum value: `1`. |
| `after` | string | No | The ID *after* which we'll retrieve more contact properties (for pagination). This ID will *not* be included in the returned list. Cannot be used with the `before` parameter. |
| `before` | string | No | The ID *before* which we'll retrieve more contact properties (for pagination). This ID will *not* be included in the returned list. Cannot be used with the `after` parameter. |

**Node.js**

```js
import { SendPing } from 'sendping';

const mb = new SendPing('mb_xxxxxxxxx');

const { data, error } = await mb.contactProperties.list();
console.log({ data, error });
```

**Ruby**

```ruby
require "sendping"

SendPing.api_key = "mb_xxxxxxxxx"

SendPing::ContactProperties.list
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendPing\SendPing;

$sendping = SendPing::client('mb_xxxxxxxxx');

$sendping->contactProperties->list();
```

**Python**

```python
import sendping

sendping.api_key = "mb_xxxxxxxxx"

sendping.ContactProperties.list()
```

**Go**

```go
import "github.com/shekhu10/sendping-sdks/sendping-go"

client := sendping.NewClient("mb_xxxxxxxxx")

properties, err := client.ContactProperties.List(nil)
```

**Rust**

```rust
use sendping::SendPing;

let mb = SendPing::new("mb_xxxxxxxxx");

let _properties = mb.contact_properties.list(None).await?;
```

**Java**

```java
import co.sendping.SendPing;
import co.sendping.SendPingResponse;

SendPing sendping = new SendPing("mb_xxxxxxxxx");

SendPingResponse response = sendping.contactProperties().list();
```

**.NET**

```csharp
using SendPing;

ISendPing sendping = SendPingClient.Create("mb_xxxxxxxxx");

var resp = await sendping.ContactPropertyListAsync();
```

**cURL**

```bash
curl -X GET 'https://www.sendping.co/api/contact-properties' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
sendping contact-properties list
```

### Response

```json
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "object": "contact_property",
      "id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
      "key": "company_name",
      "type": "string",
      "fallback_value": "Acme Corp",
      "created_at": "2026-04-08T00:11:13.000Z"
    }
  ]
}
```
